import dynamix_sdk.base as _base


class CloudapiComputeStopResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeStopProtocol(_base.BasePostAPIFunctionProtocol):
    def stop(
        self,
        *,
        vm_id: int,
        force: bool = False,
    ) -> CloudapiComputeStopResultBool:
        ...
